Package com.xebialabs.xlrelease.api.v1

# Interface ReportApi

All Superinterfaces:
  `ApiService`

@Path("/api/v1/reports") @Produces("application/json") @Consumes("application/json") public interface ReportApi extends ApiService
Operations on report.

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

  `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `downloadReleaseReport(String reportType, String releaseId)`
  Download the single-release report by type.
  `List<TaskReportingRecord>`
  `getRecordsForRelease(String releaseId)`
  Returns the list of reporting records associated with release.
  `List<TaskReportingRecord>`
  `getRecordsForTask(String taskId)`
  Returns the list of reporting records associated with task.
  `byte[]`
  `getReleaseReport(String reportType, String releaseId)`
  Returns the single-release report file by type.
  `List<TaskReportingRecord>`
  `searchRecords(FacetFilters facetFilters)`
  Searches records.
  `default String`
  `serviceName()`

- ## Method Details

  - ### serviceName

    default String serviceName()
    Specified by:
      `serviceName` in interface `ApiService`

  - ### getRecordsForRelease

    @GET @Path("/records/{releaseId:.*Release[^/]*}") List<TaskReportingRecord> getRecordsForRelease(@PathParam("releaseId") String releaseId)
    Returns the list of reporting records associated with release.
    Parameters:
      `releaseId` - the identifier of the release.
    Returns:
      found `List<TaskReportingRecord>` object

  - ### getRecordsForTask

    @GET @Path("/records/{taskId:.*/Task[^/]*}") List<TaskReportingRecord> getRecordsForTask(@PathParam("taskId") String taskId)
    Returns the list of reporting records associated with task.
    Parameters:
      `taskId` - the identifier of the task.
    Returns:
      found `List<TaskReportingRecord>` object

  - ### searchRecords

    @POST @Path("/records/search") List<TaskReportingRecord> searchRecords(FacetFilters facetFilters)
    Searches records.
    Parameters:
      `facetFilters` - the search criteria
    Returns:
      found `List<TaskReportingRecord>` object

  - ### downloadReleaseReport

    @GET @Path("/download/{reportType}/{releaseId:.*Release[^/]*}") @Produces("application/octet-stream") jakarta.ws.rs.core.Response downloadReleaseReport(@PathParam("reportType") String reportType, @PathParam("releaseId") String releaseId)
    Download the single-release report by type.
    Parameters:
      `reportType` - the type of report
      `releaseId` - the identifier of the release
    Returns:
      found `List<TaskReportingRecord>` object

  - ### getReleaseReport

    byte[] getReleaseReport(String reportType, String releaseId) throws IOException
    Returns the single-release report file by type.
    Parameters:
      `reportType` - the type of report
      `releaseId` - the identifier of the release
    Returns:
      the attachment file.
    Throws:
      `IOException`